@echo off
@echo Batchdatei 2013 by R. Seelig
@echo AVR-GCC Output-Datei erzeugen
@echo ------------------------------
avr-gcc %1.c -c -std=c99 -o %1.o -Os -mmcu=%2
if errorlevel 1 goto fehler
@echo AVR-GCC ELF-Datei erzeugen
@echo ------------------------------
avr-gcc -mmcu=%2 -Wl,-Map=%1.map %1.o -lprintf_flt -lm -o %1.elf
if errorlevel 1 goto fehler
@echo AVR-OBJCOPY HEX-Datei erzeugen
@echo ------------------------------
avr-objcopy -j .text -j .data -O ihex %1.elf %1.hex
if errorlevel 1 goto fehler
avr-size -x -C %1.elf --mcu=%2
@echo Compilierung erfolgreich
goto ende
:fehler
@echo Compilierung abgebrochen...
:ende
